- Perform all validity checks before doing anything.
[oota-llvm.git] / autoconf / AutoRegen.sh
1 #!/bin/sh
2 die () {
3         echo "$@" 1>&2
4         exit 1
5 }
6 test -d autoconf && test -f autoconf/configure.ac && cd autoconf
7 test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first"
8 autoconf --version | egrep '2\.5[0-9]' > /dev/null
9 if test $? -ne 0
10 then
11         die "Your autoconf was not detected as being 2.5x"
12 fi
13 echo "Note: Warnings about 'AC_CONFIG_SUBDIRS: you should use literals' are ok"
14 echo "Regenerating aclocal.m4 with aclocal"
15 cwd=`pwd`
16 aclocal -I $cwd/m4 || die "aclocal failed"
17 echo "Regenerating configure with autoconf 2.5x"
18 autoconf -o ../configure configure.ac || die "autoconf failed"
19 cd ..
20 echo "Regenerating config.h.in with autoheader 2.5x"
21 autoheader -I autoconf -I autoconf/m4 autoconf/configure.ac || die "autoheader failed"
22 exit 0